{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "#S#",
        "SDS",
        "#S#"
    ],
    "key": {
        "#": {
            "item": "minecraft:water_bucket"
        },
        "S": {
            "item": "minecraft:sea_lantern"
        },
        "D": {
            "item": "minecraft:diamond_block"
        }
    },
    "result": {
        "item": "minecraft:heart_of_the_sea",
        "count": 1
    }
}